cURL
curl -X GET "https://app.cotool.ai/api/agents/:agentId/llm-eval-metrics" \
-H "Authorization: Bearer YOUR_API_KEY" \
-H "Content-Type: application/json"import requests
url = "https://app.cotool.ai/api/agents/{agentId}/llm-eval-metrics"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.cotool.ai/api/agents/{agentId}/llm-eval-metrics', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));HttpResponse<String> response = Unirest.get("https://app.cotool.ai/api/agents/{agentId}/llm-eval-metrics")
.header("Authorization", "Bearer <token>")
.asString();package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://app.cotool.ai/api/agents/{agentId}/llm-eval-metrics"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"agentId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"evaluatorType": "<string>",
"avgScore7d": 123,
"avgScore30d": 123,
"avgScoreAllTime": 123,
"total7d": 123,
"total30d": 123,
"totalAllTime": 123,
"series30d": [
{
"date": "<string>",
"avgScore": 123,
"count": 123
}
],
"byPrompt": [
{
"agentVersionId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"description": "<string>",
"status": "active",
"avgScoreAllTime": 123,
"totalAllTime": 123,
"avgScore7d": 123,
"total7d": 123,
"avgScore30d": 123,
"total30d": 123
}
]
}{
"error": "<string>",
"issues": [
{}
]
}{
"error": "<string>"
}{
"error": "<string>",
"missingPerms": [
"<string>"
]
}{
"error": "<string>"
}Agent Runs
Get LLM evaluation metrics
Retrieve system LLM evaluation metrics for an agent (default evaluator: llm-judge).
GET
/
api
/
agents
/
{agentId}
/
llm-eval-metrics
cURL
curl -X GET "https://app.cotool.ai/api/agents/:agentId/llm-eval-metrics" \
-H "Authorization: Bearer YOUR_API_KEY" \
-H "Content-Type: application/json"import requests
url = "https://app.cotool.ai/api/agents/{agentId}/llm-eval-metrics"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.cotool.ai/api/agents/{agentId}/llm-eval-metrics', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));HttpResponse<String> response = Unirest.get("https://app.cotool.ai/api/agents/{agentId}/llm-eval-metrics")
.header("Authorization", "Bearer <token>")
.asString();package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://app.cotool.ai/api/agents/{agentId}/llm-eval-metrics"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"agentId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"evaluatorType": "<string>",
"avgScore7d": 123,
"avgScore30d": 123,
"avgScoreAllTime": 123,
"total7d": 123,
"total30d": 123,
"totalAllTime": 123,
"series30d": [
{
"date": "<string>",
"avgScore": 123,
"count": 123
}
],
"byPrompt": [
{
"agentVersionId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"description": "<string>",
"status": "active",
"avgScoreAllTime": 123,
"totalAllTime": 123,
"avgScore7d": 123,
"total7d": 123,
"avgScore30d": 123,
"total30d": 123
}
]
}{
"error": "<string>",
"issues": [
{}
]
}{
"error": "<string>"
}{
"error": "<string>",
"missingPerms": [
"<string>"
]
}{
"error": "<string>"
}Authorizations
API Key authentication for programmatic access. Include your API key in the Authorization header as: Bearer your_api_key_here
Path Parameters
Agent ID
Response
Successful response
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Was this page helpful?
⌘I